services:
  qbittorrent:
    image: linuxserver/qbittorrent:5.1.4
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    environment:
      - PUID=1000
      - PGID=1000
      - UMASK_SET=022
      - TZ=${TIME_ZONE}
      - WEBUI_PORT=${PANEL_APP_PORT_HTTP}
      - TORRENTING_PORT=${PANEL_TORRENTING_PORT}
    ports:
      - ${PANEL_TORRENTING_PORT}:${PANEL_TORRENTING_PORT}
      - ${PANEL_TORRENTING_PORT}:${PANEL_TORRENTING_PORT}/udp
      - ${PANEL_APP_PORT_HTTP}:${PANEL_APP_PORT_HTTP}
    volumes:
      - ./config:/config
      - ./data:/downloads
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true